function love.load()
require("TextDrawing")
	Files = love.filesystem.getDirectoryItems("Files")
	
	Images = {}
	Images.image = {
	love.graphics.newImage("File.png"),
	love.graphics.newImage("Directory.png")
	}
	
	Images.data = {
	love.image.newImageData("File.png"),
	love.image.newImageData("Directory.png")
	}
	
	Formal = love.graphics.newFont("Formal.ttf",16)
	
	State = 1
	State1_Glow = 170
	State2_Glow = 170
	
	Options = {}
	Options.MusicDir = "Music"
	Options.volume = 100
	Options.mode = "keyboard"
end

function StateChange(Arg1)
	if not type(Arg1)=="number" then
	return Error("Argument #1: expected number, got "..type(Arg1))
	end
	
	--Puts music into the music Directory in the CFlower-Sharp Directory	
	if State == 2 and Arg1>0 then
	print(love.system.setClipboardText(love.filesystem.getSaveDirectory()))
	local command = "xcopy \"%s\" \"%s\" /s/h/e/k/f/c"
	local UserDir = string.gsub(love.filesystem.getUserDirectory().."Desktop/music", "/", "\\")
	os.execute("mkdir "..string.gsub(love.filesystem.getUserDirectory(),"/","\\").."\\AppData\\Roaming\\LOVE\\CFlower-Sharp\\music")
	local SaveDir = string.gsub(love.filesystem.getUserDirectory().."/AppData/Roaming/LOVE/CFlower-Sharp/music","/","\\")
	os.execute(string.format(command, UserDir, SaveDir))
	end
	
	if State == 4 and Arg1>0 then
		
	end
	
	State = State + Arg1
	
	if State < 1 then
	State = 1
	end	
	
end

function love.draw()
love.graphics.setColor(255,255,255,255)
Xscreen, Yscreen = love.window.getDimensions()
love.graphics.setColor(255,255,255,255)
love.graphics.setBackgroundColor(5,255,255)

	if State == 1 then
	love.graphics.setFont(Formal)
	love.graphics.setColor(75,75,75,175)
	love.graphics.print("Welcome!",(Xscreen/2)-(Formal:getWidth("Welcome!")/2)+4,(Yscreen/20)*3+6)
	love.graphics.setColor(0,255,0,255)
	love.graphics.print("Welcome!",(Xscreen/2)-(Formal:getWidth("Welcome!")/2),(Yscreen/20)*3)
	
	local Text = {
	"This program that I made called \"CFlower#\" is for handicapped, or disabled in any kind",
	"of way, can kick a keyboard, mouse, hope fully joystick (as of CFlower# 0.1.1) to make ",
	"Music to motivate physical activity.",
	"if you find any bugs, please let me know, in the issue tracker."
	}
	TextDraw(Text)
	
	elseif State == 2 then
	local Text = {
	"This program needs music files, to work. Choose a directory that you would like the music",
	"files to be copied from. This Program will take the files from ",
	"\""..love.filesystem.getUserDirectory().."/Desktop/music\" when this is being installed.",
	"Please note, that when there are changes to the Directory on the desktop, the CFlower#",
	"program will not change, until it is reinstalled (as of CFlower# 0.1.1). When you hit",
	"\"NEXT\", it will start the copying. After you hit \"NEXT\", hit 'd'."
	}
	
	TextDraw(Text)
	
	elseif State == 3 then
	local Text = {
	"If that didn't Error, we should be OK. Now, this may sound a bit strange, but what do",
	"want CFlower#'s default volume at? (Use keyboard arrows, or mouse)"
	}
	
	TextDraw(Text)
	
	love.graphics.setColor(0,0,255,255)
	love.graphics.line((Xscreen/2)-200, (Yscreen/20)*9, (Xscreen/2)+200, (Yscreen/20)*9)
	
	love.graphics.setColor((Options.volume/100)*255,((100-Options.volume)/100)*255,0)
	love.graphics.circle("fill",(Xscreen/2)-200+(Options.volume*4),(Yscreen/20)*9,10)
	love.graphics.print(tostring(Options.volume).."%",(Xscreen/2)-(Formal:getWidth(tostring(Options.volume).."%")),(Yscreen/20)*10)
	elseif State == 4 then
	local Text = {
	"Ok, now we're going to need know what mode(mouse/keyboard) is most convenient for you to ",
	"control the program with.",
	}
	
	elseif State == 5 then
	local Text = {
	"Thank you for using CFlower#.",
	"After you hit \"NEXT\" a desktop short cut to CFlower# will be made, CFlower# will be",
	"installed to \""..love.filesystem.getUserDirectory().."/Roaming/LOVE/CFlower-Sharp\","
	}
	TextDraw(Text)
	end

	love.graphics.setFont(Formal)
	love.graphics.setColor(255,0,0,State1_Glow)
	love.graphics.print("NEXT",Xscreen-Formal:getWidth("NEXT")-(Xscreen/75),Yscreen-Formal:getHeight("NEXT")-(Yscreen/75))
	
	love.graphics.setColor(255,0,0,State2_Glow)
	love.graphics.print( "PREVIOUS", (Xscreen/75), Yscreen-Formal:getHeight("PREVIOUS")-(Yscreen/75))
end

function love.update( dt )
Xscreen, Yscreen = love.window.getDimensions()

Xmouse, Ymouse = love.mouse.getPosition()

	if Xmouse>=(Xscreen-Formal:getWidth("NEXT")-(Xscreen/75)) and Xmouse<=(Xscreen-(Yscreen/75)) and Ymouse>=(Yscreen-Formal:getHeight("NEXT")-(Yscreen/75)) and Ymouse<=(Yscreen-(Yscreen/75)) then
		State1_Glow = 255
	else
		State1_Glow = 170
	end
	
	if Xmouse>=(Xscreen/75) and Xmouse<=(Xscreen/75)+(Formal:getWidth("PREVIOUS")) and Ymouse>=(Yscreen-Formal:getHeight("PREVIOUS")-(Yscreen/75)) and Ymouse<=(Yscreen-(Yscreen/75)) then
		State2_Glow = 255
	else
		State2_Glow = 170
	end
	
	if State == 3 then
		if love.mouse.isDown("l") then
			if Xmouse>(Xscreen/2)-200 and Xmouse<(Xscreen/2)+200 then
				Options.volume = ((Xmouse) - (Xscreen/2) + 200)/4
			end
		end
	end
end

function love.focus(bool)
end

function Maintextinput(t)
end

function love.keypressed( key, unicode )
end

function love.keyreleased( key, unicode )
	
	if State==3 then
		if key=="up" or key=="right" then
		Options.volume = Options.volume + 1
		elseif key=="down" or key=="left" then
		Options.volume = Options.volume - 1
		end
		if Options.volume>100 then
		Options.volume = 100
		elseif Options.volume<1 then
		Options.volume = 1
		end
	end
	
	if key == "return" then
		StateChange(1)
	end
end

function love.mousepressed( x, y, button )
end

function love.mousereleased( x, y, button )

	if x>=(Xscreen-Formal:getWidth("NEXT")-(Xscreen/100)) and x<=(Xscreen-(Yscreen/100)) and y>=(Yscreen-Formal:getHeight("NEXT")-(Yscreen/100)) and y<=(Yscreen-(Yscreen/100)) then
		StateChange(1)
	end
	
	if x>=(Xscreen/75) and x<=(Xscreen/75)+(Formal:getWidth("PREVIOUS")) and y>=(Yscreen-Formal:getHeight("PREVIOUS")-(Yscreen/75)) and y<=(Yscreen-(Yscreen/75)) then
		StateChange(-1)
	end
end

function love.quit()
end